Skip to content

Retrieve a review

Request

OAuth 2.0 scope:
  • okta.governance.accessCertifications.read
Admin roles:
  • ACCESS_CERTIFICATIONS_ADMIN

Retrieves the full representation of a specific review.

More information is returned than the abbreviated representation in a List reviews operation. Also note that, if reviews are still UNREVIEWED, then the property decided would be null. If the remediation is not completed, then remediationStatus would be null too.

Path
reviewIdstringrequired

Unique identifier for the review

GET
/governance/api/v1/reviews/{reviewId}
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/reviews/{reviewId}'

Responses

A successful review response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
idstring, non-emptyrequired

Unique identifier for the object

createdBystring, (okta-user-id), [ 1 .. 20 ] characters(created-by)read-onlyrequired

The id of the Okta user who created the resource

createdstring, (date-time)(created)read-onlyrequired

The ISO 8601 formatted date and time when the resource was created

lastUpdatedstring, (date-time)(last-updated)read-onlyrequired

The ISO 8601 formatted date and time when the object was last updated

lastUpdatedBystring, (okta-user-id), [ 1 .. 20 ] characters(last-updated-by)read-onlyrequired

The id of the Okta user who last updated the object

campaignIdstring, [ 1 .. 20 ] charactersrequired
resourceIdstring, [ 1 .. 36 ] charactersrequired
entitlementValueobject(reviewer-entitlement-value)

Entitlement value. Only applicable if resourceType = APPLICATION and Entitlement Management is enabled.

entitlementBundleobject(reviewer-entitlement-bundle)

Entitlement bundle. Only applicable if resourceType = APPLICATION and Entitlement Management is enabled.

decisionstring(decision)required

The decision for a review

Enum:"UNREVIEWED""APPROVE""REVOKE"
decidedstring, (date-time)
remediationStatusstring(remediation-status)required
Enum:"NONE""OPEN""ERROR""SUCCESS""MANUAL"
principalProfileobject(principal-profile-enriched)required

A limited set of properties from the principal's profile

reviewerProfileobject(principal-profile-enriched)

A limited set of properties from the principal's profile

reviewerTypestring(reviewers-reviewer-type)required

Identifies the reviewer type for the access certification. Reviewers can be USER, GROUP, or RESOURCE_OWNER.

Enum:"USER""GROUP""RESOURCE_OWNER"
reviewerGroupProfileobject(reviewer-group-profile)

Applicable only when reviewerType is GROUP or RESOURCE_OWNER. For all other reviewer type, this property can be ignored. It represents the group in charge of reviews.

currentReviewerLevelstring(reviewer-level-type)

The current reviewer level of each review. Applicable only for multi level campaigns only.

Enum:"FIRST""SECOND"
riskRuleConflictsArray of objects or null(risk-rule-conflicts)

List of risk rule conflicts caused by this entitlement value. Only applies to review item that has entitlement value.

delegatorProfileobject(principal-profile-enriched)

Specifies delegator profile if this review was delegated by original reviewer due to their governence delegate settings

delegatedboolean

Specifies if this review was delegated by the original reviewer based on their governance delegate settings

appServiceAccountobject(reviewer-service-account)

Service account information for reviewer

oktaServiceAccountobject(reviewer-service-account)

Service account information for reviewer

aiAgentConnectionobject(reviewer-ai-agent-connection)

AI agent connection

noteobject(note)
allReviewerLevelsArray of objects, [ 1 .. 2 ] items(reviewer-level-info-full)

Applicable only for multi level campaign. Provides details about the reviewer and decisions (if any) made at each reviewer level is captured here.

Response
Success response to get a review details.
{ "campaignId": "icitdyhndQ6qstyvR8g5", "resourceId": "00gco5q3vQ20oPncs8g5", "decided": "2019-08-24T14:15:22Z", "principalProfile": { "id": "00u28w6vzKKultXP98g5", "email": "jessie.smith@example.com", "firstName": "Jessie", "lastName": "Smith", "status": "ACTIVE" }, "reviewerProfile": { "id": "00u5v5viPvg84h0W68g4", "email": "admin@admin.com", "firstName": "admin", "lastName": "admin", "status": "ACTIVE" }, "decision": "APPROVE", "remediationStatus": "SUCCESS", "note": { "id": "389dhie83", "note": "reason for approval" }, "id": "icrtg6mwccZTRc6Ub8g5", "reviewerType": "USER", "created": "2019-08-24T14:15:22Z", "createdBy": "00ub0oNGTSWTBKOLGLNR", "lastUpdated": "2019-08-24T14:15:22Z", "lastUpdatedBy": "00ub0oNGTSWTBKOLGLNR", "_links": { "self": {}, "reassignReview": {} } }